unit MainFormU;

interface

uses
  SysUtils, Types, Classes, Variants, QGraphics, QControls, QForms, QDialogs,
  QStdCtrls;

type
  TfrmMain = class(TForm)
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

uses ModalFormU, ModelessFormU;

{$R *.xfm}

procedure TfrmMain.Button1Click(Sender: TObject);
begin
  //Add current date/time at end of memo text
  frmWindow.Memo1.Lines.Add(DateTimeToStr(Now));
  frmWindow.Show
end;

procedure TfrmMain.Button2Click(Sender: TObject);
begin
  //Set checkbox to reflect window visibility
  frmDialog.CheckBox1.Checked := frmWindow.Visible;
  if frmDialog.ShowModal = mrOk then
    frmWindow.Visible := frmDialog.CheckBox1.Checked
end;

end.
